콘텐츠로 이동

이용 정지 유형 등록 및 해제

이용 정지 유형 등록

이용 정지 시 적용할 유형을 Hive 서버에 등록합니다. 등록된 유형은 이용 정지 등록 API에서 이용 정지 유형 번호(block_type) 파라미터로 사용합니다. 팝업 형식은 운영 정책 제한(type_status=O)과 임시 제한(type_status=N) 중 선택하며, 한국어와 영어는 필수 등록 언어입니다. 콘솔 가이드 인증 > 이용 정지 > 유형 등록을 참고하세요.

Basics

설명
Request URL 상용: https://auth.qpyou.cn/game/block/type/set
샌드박스: https://sandbox-auth.qpyou.cn/game/block/type/set
Method POST
HTTP Header Content-type: application/json
ISCRYPT: 0
Response Format JSON

Request

Parameter Type Required Description
appid String O 앱 아이디
hive_certification_key String O Hive 인증키(앱센터에서 발급) 자세히
type_status String O 이용 정지 팝업 형식
  • O: 운영정책 제한
  • N: 임시 제한
type_name String O 이용 정지 유형명 (한국어)
최대 200 bytes까지 등록 가능합니다.
type_en_name String O 이용 정지 유형명 (영어)
최대 200 bytes까지 등록 가능합니다.
reasons Array O 이용 정지 사유 목록 (언어별 메시지 배열)
reasons[].language String O 언어 코드
  • ko (한국어)
  • en (영어)
  • ja (일본어)
  • zh-hans (중국어 간체)
  • zh-hant (중국어 번체)
  • de (독일어)
  • fr (프랑스어)
  • ru (러시아어)
  • es (스페인어)
  • pt (포르투갈어)
  • id (인도네시아어)
  • th (태국어)
  • vi (베트남어)
  • it (이탈리아어)
  • tr (터키어)
  • ar (아랍어)
reasons[].title String O (type_status=N), X (type_status=O) 이용 정지 사유 제목
type_status=N(임시 제한)일 때는 반드시 전달해야 하며, type_status=O(운영 정책 제한)일 때 전달하면 오류가 발생합니다.
최대 200 bytes까지 등록 가능합니다.
reasons[].reason String O 이용 정지 사유 내용
운영정책 제한(type_status=O)일 경우 최대 200 bytes까지, 임시 제한(type_status=N)일 경우 최대 400 bytes까지 등록 가능합니다.

Response

Parameter Type Description
result_code Integer 결과 코드
  • 0: 정상
  • 4000: 유효하지 않은 파라미터
  • 4002: 인증키 불일치
  • 4014: 이용 정지 팝업 형식 불일치
  • 4015: 이용 정지 필수 등록 언어 누락 (한국어, 영어)
  • 4016: 이용 정지 유형 데이터 byte 제한 초과
  • 6000: 유효하지 않은 appid
result_msg String 결과 메시지
data Object 결과 데이터
data.block_type Integer 등록된 이용 정지 유형 번호

운영 정책 제한 유형 등록 요청

운영 정책 제한 유형을 등록할 때 이 요청을 사용하세요. type_status 값을 O로 설정하고 언어별 이용 정지 사유 내용을 함께 전달하세요.

curl -X POST https://auth.qpyou.cn/game/block/type/set \
-H 'Content-Type: application/json' \
-H 'ISCRYPT: 0' \
-d '{"appid": "com.com2us.hivesdk.normal.freefull.google.global.android.common", "hive_certification_key": "eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJpc3MiOiJIaXZlIiwiaWF0IjoxNjAyMDU2NzI2LCJqdGkiOiIxODczMTExMzIwIn0.3soFiHTPlObCoqR5xX9ZeOQTSvnHrHDHWmopP3QfWtY", "type_status": "O", "type_name": "불법 프로그램 이용", "type_en_name": "Usage of unauthorized programs", "reasons": [{"language": "ko", "reason": "불법 프로그램 이용"}, {"language": "en", "reason": "Use of Unauthorized Programs"}, {"language": "ja", "reason": "使用非法程序"}]}'

임시 제한 유형 등록 요청

임시 제한 유형을 등록할 때 이 요청을 사용하세요. type_status 값을 N으로 설정하고 언어별 제목과 사유 내용을 함께 전달하세요.

curl -X POST https://auth.qpyou.cn/game/block/type/set \
-H 'Content-Type: application/json' \
-H 'ISCRYPT: 0' \
-d '{"appid": "com.com2us.hivesdk.normal.freefull.google.global.android.common", "hive_certification_key": "eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJpc3MiOiJIaXZlIiwiaWF0IjoxNjAyMDU2NzI2LCJqdGkiOiIxODczMTExMzIwIn0.3soFiHTPlObCoqR5xX9ZeOQTSvnHrHDHWmopP3QfWtY", "type_status": "N", "type_name": "임시 접속 제한(게임 데이터 수정)", "type_en_name": "Temporary access restriction (game data modified)", "reasons": [{"language": "ko", "title": "게임 이용에 불편을 드려 죄송합니다.", "reason": "현재 게임 데이터를 수정하는 중입니다. 빠른 조치를 위해 최선을 다하겠습니다."}, {"language": "en", "title": "We apologize for any inconvenience you may have experienced.", "reason": "We are currently modifying the game data. We will try our best to resolve the issue as soon as possible."}, {"language": "ja", "title": "ご利用中にご不便をおかけし、大変申し訳ございません。", "reason": "只今ゲームデータを修正しています。迅速な解決に向けて最善を尽くします。"}]}'

이용 정지 유형 등록 응답 확인

유형 등록 요청이 성공하면 응답 데이터의 block_type 값으로 등록된 이용 정지 유형 번호를 확인하세요.

{
  "result_code": 0,
  "result_msg": "SUCCESS",
  "data": {
    "block_type": 88
  }
}

이용 정지 유형 해제

등록된 이용 정지 유형을 Hive 서버에서 삭제합니다. 현재 이용 정지 중인 유저 데이터가 존재하는 유형은 삭제할 수 없습니다.

Basics

설명
Request URL 상용: https://auth.qpyou.cn/game/block/type/delete
샌드박스: https://sandbox-auth.qpyou.cn/game/block/type/delete
Method POST
HTTP Header Content-type: application/json
ISCRYPT: 0
Response Format JSON

Request

Parameter Type Required Description
appid String O 앱 아이디
hive_certification_key String O Hive 인증키(앱센터에서 발급) 자세히
block_type Integer O 이용 정지 유형 번호

Response

Parameter Type Description
result_code Integer 결과 코드
  • 0: 정상
  • 4000: 유효하지 않은 파라미터
  • 4002: 인증키 불일치
  • 4011: 미등록 유형
  • 4012: 등록된 이용 정지 유저 데이터 존재
  • 6000: 유효하지 않은 appid
result_msg String 결과 메시지

Request examples

curl -X POST https://auth.qpyou.cn/game/block/type/delete \
-H 'Content-Type: application/json' \
-H 'ISCRYPT: 0' \
-d '{"appid": "com.com2us.hivesdk.normal.freefull.google.global.android.common", "hive_certification_key": "eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJpc3MiOiJIaXZlIiwiaWF0IjoxNjAyMDU2NzI2LCJqdGkiOiIxODczMTExMzIwIn0.3soFiHTPlObCoqR5xX9ZeOQTSvnHrHDHWmopP3QfWtY", "block_type": 88}'

Response example

{
  "result_code": 0,
  "result_msg": "SUCCESS"
}